Bug 1835419 - Add get-hardware-details tool to openshift baremetal-operator image [NEEDINFO]
Summary: Add get-hardware-details tool to openshift baremetal-operator image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Stephen Benjamin
QA Contact: Lubov
URL:
Whiteboard:
Depends On:
Blocks: 1840106
TreeView+ depends on / blocked
 
Reported: 2020-05-13 18:18 UTC by Stephen Benjamin
Modified: 2020-07-28 14:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:38:33 UTC
Target Upstream Version:
lshilin: needinfo?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift baremetal-operator pull 67 0 None closed Bug 1835419: Add a tool to convert introspection data to HardwareDetails 2020-07-28 10:38:56 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:38:44 UTC

Description Stephen Benjamin 2020-05-13 18:18:02 UTC
Upstream baremetal-operator image has added a tool to convert ironic introspection details to the native HardwareDetails type used by the BareMetalHost CRD, we need to get this into openshift so we can extract the master introspection information

Comment 3 Lubov 2020-06-03 08:36:56 UTC
Please, provide specification/guide for the new feature

Comment 4 Stephen Benjamin 2020-06-03 10:33:02 UTC
This is a small tool that's in our baremetal-operator container that was used as part of the implementation for BZ1801238.  I would say that verifying that bug verifies this.

There's not really a way for you to easily test this one directly, it's used in a script on the bootstrap.

Comment 5 errata-xmlrpc 2020-07-13 17:38:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.